# Error codes

We are using the following error codes for our endpoints:

* 400: Invalid user inputs or broken design.
* 401: Unauthenticated user request.
* 403: Forbidden access to a resource.
* 404: Resource not found.
* 405: Method not allowed.
* 410: User lacks access to a resource.
* 429: Too many requests.
* 500: Internal server error for unhandled errors.

Our aim is to reduce 500 errors through ongoing improvements in error management.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
